<template>
  <main class="container grid">
    <comment-list></comment-list>
  </main>
</template>

<script>
import CommentList from "./components/comment/CommentList.vue";

export default {
  name: "App",
  components: {
    CommentList,
  },
  mounted() {
    document.title = "Frontend Mentor | Interactive comments section";
  },
};
</script>

<style>
@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;700&display=swap");

/* ------------------- */
/* Custom properties   */
/* ------------------- */

:root {
  /* colors */
  --clr-primary-400: hsl(357, 100%, 86%);
  --clr-primary-500: hsl(239, 57%, 85%);
  --clr-primary-600: hsl(358, 79%, 66%);
  --clr-primary-700: hsl(238, 40%, 52%);

  --clr-neutral-100: hsl(0, 0%, 100%);
  --clr-neutral-200: hsl(228, 33%, 97%);
  --clr-neutral-300: hsl(223, 19%, 93%);
  --clr-neutral-400: hsl(211, 10%, 45%);
  --clr-neutral-500: hsl(212, 24%, 26%);

  /* font-sizes */
  --fs-body: 1rem;

  /* font-families */
  --ff-primary: "Rubik", sans-serif;

  /* font-weights */
  --fw-400: 400;
  --fw-500: 500;
  --fw-700: 700;
}

/* ------------------- */
/* Reset               */
/* ------------------- */

/* https://piccalil.li/blog/a-modern-css-reset/ */

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-weight: var(--fw-400);
  font-size: var(--fs-body);
}
/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* ------------------- */
/* Utility classes     */
/* ------------------- */

/* general */

.flex {
  display: flex;
  gap: var(--gap, 1rem);
  align-items: center;
}

.grid {
  display: grid;
  gap: var(--gap, 1rem);
}

.d-block {
  display: block;
}

.flow > *:where(:not(:first-child)) {
  margin-top: var(--flow-space, 1rem);
}

.flow--space-small {
  --flow-space: 0.75rem;
}

.container {
  /* padding-inline: 2em; */
  margin-inline: auto;
  margin-block: 2rem;
  max-width: 50rem;
}
/* colors */

.bg-neutral-100 {
  background-color: var(--clr-neutral-100);
}
.bg-neutral-200 {
  background-color: var(--clr-neutral-200);
}
.bg-primary-700 {
  background-color: var(--clr-primary-700);
}

.text-primary-700 {
  color: var(--clr-primary-700);
}

.text-primary-600 {
  color: var(--clr-primary-600);
}
.text-neutral-500 {
  color: var(--clr-neutral-500);
}
.text-neutral-400 {
  color: var(--clr-neutral-400);
}
/* typography */

.fw-400 {
  font-weight: var(--fw-400);
}
.fw-500 {
  font-weight: var(--fw-500);
}
.fw-700 {
  font-weight: var(--fw-700);
}
/* set up the body */
body {
  font-family: var(--ff-primary);
  font-size: var(--fs-body);
  color: var(--clr-neutral-400);
  background-color: var(--clr-neutral-200);
  /* display: grid; */
  /* grid-template-rows: min-content 1fr; */
  overflow-x: hidden;
}
textarea {
  cursor: pointer;
  padding: 0.5rem 1.5rem;
  border: 1px solid var(--clr-neutral-300);
  border-radius: 0.5rem;
  height: 7rem;
  width: 100%;
  background-color: var(--clr-neutral-100);
  color: var(--clr-neutral-400);
  resize: none;
}
</style>
